summaryrefslogtreecommitdiffstats
path: root/network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild')
-rw-r--r--network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild49
1 files changed, 31 insertions, 18 deletions
diff --git a/network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild b/network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild
index 1330433283..d19979ab6b 100644
--- a/network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild
+++ b/network/pexip-infinity-connect/pexip-infinity-connect.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for pexip-infinity-connect
-# Copyright 2020 Igor Alexandrov <igora.vault@gmail.com>
+# Copyright 2020-2021 Igor Alexandrov <igor.alexandrov@outlook.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,11 +22,14 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=pexip-infinity-connect
-SRCNAM=$(tar -tf $PRGNAM*.t?z | head -1)
-VERSION=${VERSION:-$(echo $SRCNAM | cut -d '_' -f 2 | tr '-' '.')}
+VERSION=${VERSION:-1.6.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCNAM=${PRGNAM}_${VERSION}-53046.187.0_linux-x64.tgz
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
@@ -36,7 +39,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -46,31 +56,34 @@ if [ "$ARCH" != "x86_64" ]; then
exit 1
fi
-set -e
+set -eu
+
+SRCNAM=$(tar -tf $ARCNAM | head -1)
rm -rf $PKG
-mkdir -p $TMP $OUTPUT $PKG/{install,usr/{bin,lib64,share/applications,doc/$PRGNAM-$VERSION}}
+mkdir -p $TMP $OUTPUT $PKG/{install,opt,usr/{bin,doc/$PRGNAM-$VERSION}}
cd $PKG
-tar -xvf $CWD/$PRGNAM*.t?z
-mv $SRCNAM usr/lib64/$PRGNAM
+tar -xvf $CWD/$ARCNAM
+mv $SRCNAM opt/$PRGNAM
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-ln -s ../lib64/$PRGNAM/$PRGNAM usr/bin
-install -m644 $CWD/$PRGNAM.desktop usr/share/applications
+ln -s ../../opt/$PRGNAM/$PRGNAM usr/bin
+install -m 644 -D $CWD/$PRGNAM.desktop -t usr/share/applications
+install -m 644 -D $CWD/$PRGNAM.png -t usr/share/icons/hicolor/48x48/apps
-ln -s ../../lib64/$PRGNAM/LICENSE usr/doc/$PRGNAM-$VERSION
-ln -s ../../lib64/$PRGNAM/LICENSES.chromium.html usr/doc/$PRGNAM-$VERSION
+ln -s ../../../opt/$PRGNAM/LICENSE usr/doc/$PRGNAM-$VERSION
+ln -s ../../../opt/$PRGNAM/LICENSES.chromium.html usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE